| Home | Libraries | People | FAQ | More

#### buffer (27 of 28 overloads)

Create a new non-modifiable buffer that represents the given string.

    template<
        typename Elem,
        typename Traits,
        typename Allocator>
    const_buffers_1 buffer(
        const std::basic_string< Elem, Traits, Allocator > & data);

###### Return Value

`const_buffers_1(data.data(), data.size() * sizeof(Elem))`.

###### Remarks

The buffer is invalidated by any non-const operation called on the given string object.